footer {
    direction: rtl;
}

.footer-contener {
    width: 100%;
    max-width: 1300px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    flex-direction: row-reverse;
    align-items: start;

}

.foot-pages-link {
    display: flex;
    align-items: start;
    justify-content: start;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    flex: 1;
    min-width: 200px;
    margin-top: 32px;
}

.foot-head h1 {
    margin-bottom: 20px;
    color: var(--text-primary);
    font-size: 16px;
}

.foot-head img {
    width: 100px;
}

.foot-body {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: start;
    justify-content: start;
}

.foot-body a {
    color: var(--text-primary);
    text-decoration: none;
    transition: color 0.3s ease;
    font-size: 14px;
    font-weight: 400;
}

.foot-body a:hover {
    color: var(--primary-hover);
}

.foot-body p {
    color: var(--text-primary);
    margin-bottom: 15px;
}

#my-select {
    background-color: var(--primary-dark) !important;
    color: var(--primary-hover) !important;
    width: 252px;
    padding: 0px 10px 0px 10px;
    border: none;
    border-radius: 8px;
    appearance: none;            
       
    font-size: 16px;
    cursor: pointer;
    direction: rtl;
    height: 40px;
    font-size: 12px;
    font-weight: 200;
} 
#my-select:hover {
    background-color: var(--primary-hover) !important;
    color: var(--text-primary) !important;
    transition-duration: 0.5s;
}


.all-list-pages{
    max-width: 1300px;
    margin: 0px auto;
    display: flex;
    align-items: center;
    justify-content: start;
    flex-wrap: wrap;
    width: 100%;
    text-align: end;
}



.all-list-pages h5{
    margin: 4px 0;
    color: var(--primary-hover);
    font-weight: 400;
    font-size: 14px;
    transition: color 0.3s ease;
}



.contact-info-container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: fit-content;
    padding: 0px;
    margin: 0px;
    
    gap: 4px;
}

.contact-info-container p {
    padding: 0px;
    margin: 0px;
}




.foot-bottom a {
    text-decoration: none;
}


footer{
    width: 100%;
    background: var(--primary-color);
    height: auto;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding-top: 30px ;
    gap: 100px;
}

.foot-bottom{
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0px auto;
    width: 100%;
    max-width: 1300px;
    margin-bottom: 20px;
}

.bottom-text{
    font-size: 12px;
    color: var(--text-primary);
}



.bottom-shop img {
    height: 30px;
}

.bottom-shop p {
   font-size: 17px;
   color: var(--text-primary);
   font-family: Arial, Helvetica, sans-serif;
   font-weight: 600;
}


.bottom-shop {
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    gap: 8px;
    direction: ltr;
}


@media (max-width: 1299px) {
    footer {
        padding-left: 20px;
        padding-right: 20px;
    }
}



.ad-text-container {
    width: 100%;
    overflow: hidden; 
    background: #f9f9f9; 
    padding: 8px 0;
    border-top: 1px solid #eee;
    border-bottom: 1px solid #eee;
}

.ad-text {
    display: inline-block;
    white-space: nowrap;
    font-size: 16px;
    font-weight: 500;
    color: var(--primary-color); 
    animation: moveText 15s linear infinite;
}

/* حركة النص من اليسار إلى اليمين */
@keyframes moveText {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(100%);
    }
}

/* Responsive */
@media (max-width: 768px) {
    .ad-text {
        font-size: 14px;
    }
}

@media (max-width: 480px) {
    .ad-text {
        font-size: 12px;
    }
}
